<?php

namespace UnOcd\News\Policies;

use Litepie\User\Contracts\UserPolicy;
use UnOcd\News\Models\Test2;

class Test2Policy
{

    /**
     * Determine if the given user can view the test2.
     *
     * @param UserPolicy $user
     * @param Test2 $test2
     *
     * @return bool
     */
    public function view(UserPolicy $user, Test2 $test2)
    {
        if ($user->canDo('news.test2.view') && $user->isAdmin()) {
            return true;
        }

        return $test2->user_id == user_id() && $test2->user_type == user_type();
    }

    /**
     * Determine if the given user can create a test2.
     *
     * @param UserPolicy $user
     * @param Test2 $test2
     *
     * @return bool
     */
    public function create(UserPolicy $user)
    {
        return  $user->canDo('news.test2.create');
    }

    /**
     * Determine if the given user can update the given test2.
     *
     * @param UserPolicy $user
     * @param Test2 $test2
     *
     * @return bool
     */
    public function update(UserPolicy $user, Test2 $test2)
    {
        if ($user->canDo('news.test2.edit') && $user->isAdmin()) {
            return true;
        }

        return $test2->user_id == user_id() && $test2->user_type == user_type();
    }

    /**
     * Determine if the given user can delete the given test2.
     *
     * @param UserPolicy $user
     * @param Test2 $test2
     *
     * @return bool
     */
    public function destroy(UserPolicy $user, Test2 $test2)
    {
        return $test2->user_id == user_id() && $test2->user_type == user_type();
    }

    /**
     * Determine if the given user can verify the given test2.
     *
     * @param UserPolicy $user
     * @param Test2 $test2
     *
     * @return bool
     */
    public function verify(UserPolicy $user, Test2 $test2)
    {
        if ($user->canDo('news.test2.verify')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given test2.
     *
     * @param UserPolicy $user
     * @param Test2 $test2
     *
     * @return bool
     */
    public function approve(UserPolicy $user, Test2 $test2)
    {
        if ($user->canDo('news.test2.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the user can perform a given action ve.
     *
     * @param [type] $user    [description]
     * @param [type] $ability [description]
     *
     * @return [type] [description]
     */
    public function before($user, $ability)
    {
        if ($user->isSuperuser()) {
            return true;
        }
    }
}
