<?php

namespace UnOcd\News\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SetTransformer extends TransformerAbstract
{
    public function transform(\UnOcd\News\Models\Set $set)
    {
        return [
            'id'                => $set->getRouteKey(),
            'key'               => [
                'public'    => $set->getPublicKey(),
                'route'     => $set->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('news/'.$set->getPublicKey()),
                'user'      => guard_url('news/set/'.$set->getRouteKey()),
            ], 
            'status'            => trans('app.'.$set->status),
            'created_at'        => format_date($set->created_at),
            'updated_at'        => format_date($set->updated_at),
        ];
    }
}